<template>
  <div class="container">
    <p>
      {{ $t('intro.0') }}
    </p>
    <p>
      {{ $t('intro.1') }}<br>
      {{ $t('intro.2') }}<br>
      {{ $t('intro.3') }}
    </p>

    <div v-for="(project, key) in projects" :key="key">
      <h2>{{ project.title }}</h2>
      <ul>
        <li v-for="(item, idx) in project.items" :key="idx">
          <a v-if="item.link" :href="item.link" target="_blank">
            {{ item.title }}
          </a>
          <span v-else>{{ item.title }}</span>
          <span v-if="item.description">&mdash; {{ item.description }}</span>
        </li>
      </ul>
    </div>

    <p>
      <small>
        {{ $t('footnotes.0') }}
      </small>
    </p>
  </div>
</template>

<script>
export default {
  data () {
    return {
      projects: {
        stores_places: {
          title: this.$t('projects.stores_places.title'),
          items: [
            { title: 'Repair-Café*' },
            { title: 'Offener, kreativer Begegnungsort*' },
            { title: 'Japanische Kultur-Events' },
            { title: 'Spielwarenladen mit offenem Treffpunkt', description: 'ausreichend Platz und Tische (für zB Magic the Gathering)' },
          ],
        },

        it: {
          title: 'Soft- und Hardware',
          items: [
            { title: 'Lokale, regionale, dezentralisierte Alternative zu Lieferando' },
            { title: 'Nachhaltige:r Server-Hardware-Infrastruktur Lieferant*in/Dienstleister*in' },
            { title: 'Einfaches, niederschwelliges, erweiterbares, flexibles Server-Software-Installations-Management-Interface' },
            { title: 'Modularer Web-Browser*', description: 'HTML-, JS, CSS-Parser, etc. als standalone Module als Alternativen zu bestehenden tightly-coupled Browsern' },
            { title: 'Single person (Flat-File?) Matrix Server' },
            { title: 'Source-to-Source Compiler Framework', description: 'In Kombination mit eigener Programmiersprache als Input' },
          ],
        },

        educational: {
          title: 'Educational',
          items: [
            { title: 'GPS-Game mit Pflanzen und Tieren', description: 'Mobile-Game - Pokémon Go-like' },
            { title: 'Elements', description: 'Tabletop - Nachhaltig produziertes, offenes, educational, Magic-like Kartenspiel mit historischen Referenzmaterialien' },
            { title: 'Historische Kriege und Scharmützel', description: 'Computerspiel - Fire Emblem-like' },
          ],
        },

        hobby: {
          title: 'Hobby-Projekte',
          items: [
            { title: 'BomberTux Story', link: 'https://gitlab.com/bombertux/bombertux-story' },
            { title: 'BomberTux Hero', link: 'https://gitlab.com/bombertux/bombertux-hero' },
            { title: 'Flat-File Forms', link: 'https://gitlab.com/DRogueRonin/flat-file-forms' },
          ],
        },

        other: {
          title: 'Sonstige',
          items: [
            { title: '"Wie nachhaltig leben?"-Buch', description: 'Leitfaden für nachhaltiges Leben im Raum Bad Neustadt', link: 'https://book.dweipert.de' },
          ],
        },
      },
    };
  },
};
</script>

<i18n>
{
  "de": {
    "intro": [
      "Auflistung aller Projekte, an denen ich arbeite oder arbeiten möchte.",
      "Alle genannten Softwareprojekte sollen Open-Source sein.",
      "Alle genannten Unternehmungen sollen als (gemeinnützige) Vereine bzw genossenschaftlich organisiert sein.",
      "Keine kapitalistischen \"Geld ist Selbstzweck\" Bestrebungen."
    ],
    "footnotes": [
      "*Projekt, das ich einfach nur verwirklicht sehen möchte und nicht die persönliche Anforderung habe, dort direkt mitwirken zu müssen"
    ],

    "projects": {
      "stores_places": {
        "title": "Läden & Orte"
      }
    }
  }
}
</i18n>
